### Method

# AppStream Metadata set_write_header

#### Declaration [src]

    void
    as_metadata_set_write_header (
      AsMetadata* metad,
      gboolean wheader
    )

#### Description [src]

If set to `TRUE`, tehe metadata writer will omit writing a DEP-11 header document when in YAML mode, and will not write a root components node when writing XML data. Please keep in mind that this will create an invalid DEP-11 YAML AppStream catalog metadata file, and an invalid XML file. This parameter should only be changed e.g. by the appstream-generator tool.

NOTE: Right now, this feature is only implemented for YAML!

#### Parameters

`wheader`

  Type: `gboolean`

  A boolean value.